function [ lhat, norm_fct_square ] = bspline_mixed_10d_lhat( freq_out )
%BSPLINE_MIXED_10D_HAT Summary of this function goes here
%   Detailed explanation goes here

% valout = bspline2t_nd(x(:,[1 3])) .* bspline_o4(x(:,9)) ...
%        + bspline4t_nd(x(:,[4 5])) .* bspline_o2(x(:,[2 7])) ...
%        + bspline2t_nd(x(:,[8])) .* bspline_o2(x(:,[6 10]));

lhat = zeros(size(freq_out,1),1);

ind=find(sum(abs(freq_out(:,[2 4 5 6 7 8 10])),2)==0);
lhat(ind) = lhat(ind) + bspline2t_lhat_nd(freq_out(ind,[1 3])) .* bspline_o4_hat(freq_out(ind,9));

ind=find(sum(abs(freq_out(:,[1 3 6 8 9 10])),2)==0);
lhat(ind) = lhat(ind) + bspline4t_lhat_nd(freq_out(ind,[4 5])) .* bspline_o2_hat(freq_out(ind,[2 7]));

ind=find(sum(abs(freq_out(:,[1 2 3 4 5 7 9])),2)==0);
lhat(ind) = lhat(ind) + bspline2t_lhat_nd(freq_out(ind,8)) .* bspline_o2_hat(freq_out(ind,[6 10]));

% lhat = lhat./2.^(0.5*sum(freq_out(:,[1 3 4 5 8])~=0,2));

[~, bspline2t_normleg_d1_sq] = bspline2t_lhat_1d(0);
[~, bspline4t_normleg_d1_sq] = bspline4t_lhat_1d(0);

norm_fct_square = bspline2t_normleg_d1_sq ...
  + bspline2t_normleg_d1_sq^2 ...
  + bspline4t_normleg_d1_sq^2 ...
  + 2 * bspline4t_lhat_nd(zeros(1,2)) * bspline_o2_hat(zeros(1,4)) .* bspline2t_lhat_nd(0) ...
  + 2 * bspline2t_lhat_nd(zeros(1,3)) * bspline_o2_hat(zeros(1,2)) * bspline_o4_hat(0) ...
  + 2 * bspline2t_lhat_nd(zeros(1,2)) * bspline4t_lhat_nd(zeros(1,2)) * bspline_o2_hat(zeros(1,2)) * bspline_o4_hat(0);

end

