function [ lhat, norm_fct_square ] = bsplinet_test_7d_lhat( freq_out )
%BSPLINET_TEST_6D_CHAT Summary of this function goes here
%   Detailed explanation goes here

lhat = zeros(size(freq_out,1),1);

ind=find(sum(abs(freq_out(:,[2 4 5 7])),2)==0);
lhat(ind) = lhat(ind) + bspline2t_lhat_nd(freq_out(ind,[1 3 6]));

ind=find(sum(abs(freq_out(:,[1 3 6])),2)==0);
lhat(ind) = lhat(ind) + bspline4t_lhat_nd(freq_out(ind,[2 4 5 7]));

[~, bspline2t_normleg_sq] = bspline2t_lhat_1d(0);
[~, bspline4t_normleg_sq] = bspline4t_lhat_1d(0);

norm_fct_square = bspline2t_normleg_sq^3 + bspline4t_normleg_sq^4 + 2*bspline2t_lhat_nd(zeros(1,3))*bspline4t_lhat_nd(zeros(1,4));

end

